<!-- Load django-bootstrap files -->
{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
<!-- Load custom CSS/JavaScript files -->
{% load static %}
<!-- Load bootstrap icons -->
{% load bootstrap_icons %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>On Cloud 10</title>
    <script src="{% static 'js/new_game.js' %}"></script>
    <link rel="shortcut icon" href="{% static 'favicon.ico' %}">
</head>
<body style="background-color: rgba(13, 64, 199, 0.8);">
    
    <div class="container-fluid">
        <div class="row">
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-1 text-center"
                        style="width: 280px;">Add players</div>
                    </div>
                </div>
            </div>
            <div class="col-20">
                <div class="p-4 mb">
                    <div class="d-flex align-items-center">
                        <div class="bg-warning rounded-pill mx-auto fs-5 text-center"
                        style="width: 300px;">*minimum 2, maximum 6*</div>
                    </div>
                </div>
            </div>
            <form class="mb-0" action="{% url 'home_page' %}" method="get">
                <button type="submit" class="btn btn-warning rounded-circle btn-lg"
                    style="width: 70px; height: 70px; margin-left: 2%;">
                    {% bs_icon 'house-door-fill' size='30px' %}
                </button>
            </form>
        </div>
        {% if game_id %}

        <form action="{% url 'load_game' game_id=game_id %}" method="post" id="player_form">
        </form>

        {% else %}

        <form action="{% url 'load_game' game_id=1 %}" method="post" id="player_form">
            {% csrf_token %}
            <div class="row mt-5 justify-content-center">
                <div class="row mt-5" id="players">
                    <div class="col-6">
                        <div style="background-color: rgb(50, 156, 50);">
                            <div class="mb-4 fs-4 text-center">Player 1</div>
                            <div class="form-floating mb-3" id="p1_div">
                                <input type="text" class="form-control" id="p1_name" 
                                placeholder="" required>
                                <label>Enter name</label>
                                <div class="invalid-feedback" style="font-weight: 400; 
                                color:darkred; font-size: large;" id="p1_null_value">
                                    Please enter a name for the player.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div style="background-color: rgb(50, 156, 50);">
                            <div class="mb-4 fs-4 text-center">Player 2</div>
                            <div class="form-floating mb-3" id="p2_div">
                                <input type="text" class="form-control" id="p2_name" 
                                placeholder="" required>
                                <label>Enter name</label>
                                <div class="invalid-feedback" style="font-weight: 400; 
                                color:darkred; font-size: large;" id="p2_null_value">
                                    Please enter a name for the player.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="position-relative">
                    <button type="button" class="btn rounded-circle btn-lg"
                        style="background-color: rgb(50, 156, 50); font-size: xx-large;
                        width: 100px; height: 100px;"
                        onclick="addPlayer()" onmouseover="this.style.backgroundColor='rgb(60, 181, 60)';"
                        onmouseout="this.style.backgroundColor='rgb(50, 156, 50)';">+</button>
                    <button type="button" class="btn rounded-pill btn-lg position-absolute top-0 start-50"
                        style="background-color: black; color: white; font-size: x-large;"
                        onclick="submitForm()" id="start_game_button"
                        onmouseover="this.style.backgroundColor='rgb(45, 43, 43)'"
                        onmouseout="this.style.backgroundColor='black'">
                        Start game!
                    </button>
                </div>
            </div>
        </form>
        
        {% endif %}
    </div>
</body>
</html>